igeo

## Enum IFieldGeo.Decay

- java.lang.Object
- - java.lang.Enum<IFieldGeo.Decay>
  - - igeo.IFieldGeo.Decay

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IFieldGeo.Decay>
  Enclosing class:
    IFieldGeo

      public static enum IFieldGeo.Decay
      extends java.lang.Enum<IFieldGeo.Decay>

  type of decay from surface position

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Custom`
    `Gaussian`
    `Linear`
    `None`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IFieldGeo.Decay` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IFieldGeo.Decay[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### None

          public static final IFieldGeo.Decay None

    - #### Linear

          public static final IFieldGeo.Decay Linear

    - #### Gaussian

          public static final IFieldGeo.Decay Gaussian

    - #### Custom

          public static final IFieldGeo.Decay Custom

  - ### Method Detail

    - #### values

          public static IFieldGeo.Decay[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IFieldGeo.Decay c : IFieldGeo.Decay.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IFieldGeo.Decay valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null